Article ID: 111711, created on Jul 24, 2011, last review on Aug 28, 2014

  • Applies to:
  • Plesk 11.0 for Linux
  • Plesk 10.x for Linux


To enable PHP 5.3 support on a Parallels Plesk Panel server feel free to use one of the below methods:

1 Install PHP 5.3 using the Autoinstaller tool by running the following command on your server:
/usr/local/psa/admin/sbin/autoinstaller --select-release-current --install-component php53

2 Install PHP 5.3 from the Parallels Plesk Panel web interface:
Tools & Settings > Panel > Updates > Add Components > select PHP5.3 support and continue.

3 Install Parallels Plesk Panel 10.4 with PHP 5.3 via EZ template. The application template "pp10-php53" is intended to be used during the installation of Plesk Panel.
This means that you should use it in the following way:
# vzctl create CTID --ostemplate centos-5-x86_64 --hostname plesk10.centos5 --ipadd NN.MM.KK.LL
# vzctl set CTID --save --applyconfig slm.2048MB
# vzctl start CTID
# vzpkg install CTID pp10 pp10-php53

4 Update PHP 5.x EZ template to version 5.3 on your container with Parallels Plesk Panel as described in this article:

113432 How to update PHP 5.x EZ template on a container to version 5.3

Additional information

To get more information about component upgrades, refer to Parallels Plesk Panel 10: Installation and Upgrade Guide.

dd0611b6086474193d9bf78e2b293040 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c aea4cd7bfd353ad7a1341a257ad4724a 0a53c5a9ca65a74d37ef5c5eaeb55d7f

Email subscription for changes to this article
Save as PDF